Subject: RE: [manet] tx power adjustment

From: "Mullen, John P. (Contractor)" <[email-masked]>
Date: Mon, 1 Jul 2002 12:58:27 -0600

Hi David,

In general, as the distance is doubled, the received power is quartered, or
received S/N drops about 6 dB.  (This is actually overly optimistic in some
frequency bands).  One factor is how this 6 dB drop affects bandwidth.  The
Shannon limit would predict about a 50% decrease in available BW, but that
may not be critical.  Usually, BER and other errors do you in first.  Also,
absolute levels count.  If the original S/N is 20 dBm, there is probably not
a problem, but if it were 8 dBm, ...

Another factor is processing time.  If 80% of the time required to move a
packet from one node to the next is taken up in coding, decoding, etc., then
a two-hop path would be doubly slow (added processing time plus lower
transmission rate).

Of course, multiple transmissions tie up the channel longer than a single
one, but a "shout" ties up the channel over a greater geographic area.

The effect on battery life is probably worth considering, too.

Interesting problem.

John Mullen

-----Original Message-----
From: David Young [mailto:[email-masked]]
Sent: Monday, July 01, 2002 12:27 PM
To: [email-masked]
Subject: Re: [manet] tx power adjustment

In some research, a host transmits a beacon at each TX power level and
listens for beacon-replies to discover its neighbors. Then the host
labels each neighbor's route with the least TX power level necessary to
reach that neighbor.  Packets destined for a neighbor are transmitted
with the power level labeling the neighbor's route.

If a host discovers neighbors with beacons independently of discovering
routes with an ad hoc routing protocol, then sometimes a neighbor will
have two routes, one discovered by the beacon and one discovered by the
routing protocol. Then the host will have a choice between shouting at a
far away neighbor, or whispering to a nearer neighbor who will whisper
to the far away neighbor. A strategy for choosing between one "loud"
hop and several quiet ones could be quite complex, it seems. Suppose
you tried to estimate and minimize the product of a packet's on-air time
and the area silenced by its (re)transmission?

Dave

On Mon, Jul 01, 2002 at 09:20:41AM -0600, Mullen, John P. (Contractor)
wrote:
> Hi Bert,
>  
> It all turns on the density of your hosts and the patterns of
> communications.  If you have a very large number of hosts in a rather
small
> geographical area, you will have increased contention for the RF channel.
> By reducing power, you reduce the potential for interference among hosts
> attempting unrelated communications on the same channel, but in
> significantly different geographical locations.  If, on the other hand,
> those conversations are of interest to all nodes, then reducing power will
> increase the number of hops and channel utilization.  
>  
> For example, suppose your MANET consists of clusters of hosts that are
about
> 1 km apart.  However, within a cluster, each node is within a few meters
of
> at least one other node.  When communications is within a cluster, it
would
> be prudent, to limit transmit power to that level necessary to carry out
> communications within that cluster, but not high enough to cause
> interference between clusters.  On the other hand, if you need to
> communicate from one cluster to another, a higher power level would be
> needed.
>  
> Also, if we agree that the MANET hosts are likely to be portable
> battery-powered units, then managing transmitter power is also important
> from the perspective of conserving network resources.  
>  
> I would say that the ability to change transmitter power has potential for
> more efficient MANET management, but its success will turn on the ability
of
> the protocol to detect situations in which the different power levels are
> appropriate.
>  
> John Mullen
>  
> 
> -----Original Message-----
> From: Manfredi, Albert E [mailto:[email-masked]]
> Sent: Monday, July 01, 2002 8:18 AM
> To: '??'
> Cc: [email-masked]
> Subject: RE: [manet] RE: [manet] IP addresses in MANET
> 
> 
> Some miscellaneous rambling:
>  
> Decreasing power is useful to decrease the size of cells, to make more
> efficient use of RF spectrum. In a system with base stations or access
> points, the advantages seem obvious. The wired infrastructure will have to
> be upgraded for a greater traffic load, but the individual wireless cells
> will support the same number of hosts in a smaller area, resulting in
> greater density of mobile hosts.
>  
> In an ad-hoc network, the advantage doesn't seem so obvious (to me). Since
> ad-hoc networks depend on mobile hosts for all their intra-MANET routing,
> decreasing power means increasing the number of hops required, which means
> that there will be more choke points in the network and more hosts
involved
> in the average data path. I suppose that if one introduces faster mobile
> hosts while reducing the power, same as one had to upgrade the wired
> infrastructure in the cell-based network with base stations, then maybe I
> can understand how you'd expect better performance.
>  
> Bert
>  
> 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Monday, July 01, 2002 3:52 AM
> To: [email-masked]
> Cc: [email-masked]; [email-masked]
> Subject: [manet] RE: [manet] IP addresses in MANET
> 
> 
> Hello Scott:
> As David Young says, Using power control to increase MANET performance is
an
> active research area in MANET. It sure will increase MANET?¡¥s throughput.
> However, firstly, because of practical reason, transmitting power can not
be
> decreasing without limit; secondly, when the transmitting power is low
> enough, it means that the talking area or clustering area is very small,
In
> such network, the mobility of nodes will become a big problem:) 
> Practically speaking, if MANET can serve more than 10000 nodes freely, I
> think it is enough for real implementation. I see no case which needs more
> nodes than that:)
> 
> Hai Wang
> 
> 

-- 
David Young             OJC Technologies
[email-masked]     Engineering from the Right Brain
                        Urbana, IL * (217) 278-3933

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet

---

From: Saad Biaz <[email-masked]>
Date: Mon, 1 Jul 2002 14:41:40 -0500 (CDT)

> The effect on battery life is probably worth considering, too.

There has been some work on power-aware routing (PARO).
J. Gomez, A.T. Campbell, M.Naghshineh, and C. Bisdikian,
"Power-Aware Routing in Wireless Packet Networks".

I believe they have a more recent version in ICPN 2001.

----------------------------------------------------------------------
Saad Biaz, Ph.D., Assistant Prof.     Voice: (334) 844 6307
114 Dunstan Hall Auburn University    Fax  : (334) 844 6329
Auburn, AL 36849-5347, USA            http://www.eng.auburn.edu/~sbiaz
----------------------------------------------------------------------

---

From: Saad Biaz <[email-masked]>
Date: Mon, 1 Jul 2002 14:41:40 -0500 (CDT)

---

From: Miguel Sanchez <[email-masked]>
Date: Tue, 02 Jul 2002 00:27:49 +0200

Hi Saad,

COMPOW protocol is another TX power control protocol by P.R. Kumar et al 
from UIUC.

Regards,

Miguel Sanchez
Universidad Politecnica de Valencia, Spain

---

From: Miguel Sanchez <[email-masked]>
Date: Tue, 02 Jul 2002 00:27:49 +0200

Hi Saad,

Regards,

Miguel Sanchez